commit:     d42579453d8cdf84ddf7fa5d1a614239f0644d24
Author:     Thomas Sachau <tommy <AT> gentoo <DOT> org>
AuthorDate: Tue May  5 11:39:12 2015 +0000
Commit:     Thomas Sachau <tommy <AT> gentoo <DOT> org>
CommitDate: Tue May  5 11:39:12 2015 +0000
URL:        
https://gitweb.gentoo.org/proj/multilib-portage.git/commit/?id=d4257945

Version bump

 sys-apps/portage/Manifest                          |  2 +-
 ...e-2.2.15-r1.ebuild => portage-2.2.18-r1.ebuild} | 44 ++++++++++++++++++----
 2 files changed, 38 insertions(+), 8 deletions(-)

diff --git a/sys-apps/portage/Manifest b/sys-apps/portage/Manifest
index 0376f0f..336fea5 100644
--- a/sys-apps/portage/Manifest
+++ b/sys-apps/portage/Manifest
@@ -1,2 +1,2 @@
-EBUILD portage-2.2.15-r1.ebuild 11045 SHA256 
438eb546f222f8f4dd3c8648e38ee09e7fdf8f4701a6f1cea32016f79fccf5f1 SHA512 
35bea8693a898313ee282ec86a1a81bb26fa356499ce90e338c627f872f557b055f2e3f9729e9ff60a5712d84a68798fe56f99115d891b3163a7591766c2bd4f
 WHIRLPOOL 
a35a92b68bd8858a8649bbe0da29d431a83be7003293a276a65b2dc34699275abe22771caec7e846bd217c5e7accdabb08d1522470a396f331b9d5a144074f94
+EBUILD portage-2.2.18-r1.ebuild 11536 SHA256 
2634843e2c2a037ff8d09622b5243c91ee738c466ad4904a8443c60d8e93ef83 SHA512 
e1d48cb141f4695179b723c957194af74dd347dec71bb62baf148adbfbe1a5f5eab738dfc9a0569b4e478c342b3ac0ff36a6c73527a0619670f3863a67049ef5
 WHIRLPOOL 
ece7a545654e3d500e69d7dcbbaf95bb27b8f1a7642dfc8ad9856a387701d83e3bb8dc2c5d671ca6e53b1cf24bdb549e83f0e783c8e1267b6d785c4ed9df1691
 MISC metadata.xml 365 SHA256 
475a792c24a7db2ae5fab7fb108bf39af08c272d03d87ef942883b297de95d6a SHA512 
45a78cd446f546ca81c6d6623e0f7215e13ed81d58d6dfcf7a2614b2ad8250a7af4c9ed8b3d1c301a103f3f17b2f5d8eb16caa82267b7565798fb00383957fb6
 WHIRLPOOL 
1f744a508a6d6d9225087850a85e47b8effadeff6eb0600daca677f761f22c8ddcc08a972bf4b4c2d6545518710365b560f54dd43d283f19eebdb3b2a0972630

diff --git a/sys-apps/portage/portage-2.2.15-r1.ebuild 
b/sys-apps/portage/portage-2.2.18-r1.ebuild
similarity index 92%
rename from sys-apps/portage/portage-2.2.15-r1.ebuild
rename to sys-apps/portage/portage-2.2.18-r1.ebuild
index 08062c5..211a08b 100644
--- a/sys-apps/portage/portage-2.2.15-r1.ebuild
+++ b/sys-apps/portage/portage-2.2.18-r1.ebuild
@@ -1,12 +1,12 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-2.2.15.ebuild,v 
1.2 2014/12/06 20:13:44 dolsen Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/portage-2.2.18.ebuild,v 
1.9 2015/04/26 15:42:47 zlogene Exp $
 
 EAPI=5
 
 PYTHON_COMPAT=(
        pypy
-       python3_2 python3_3 python3_4
+       python3_3 python3_4
        python2_7
 )
 # Note: substituted below
@@ -16,9 +16,9 @@ inherit distutils-r1 git-2 multilib
 
 EGIT_REPO_URI="git://git.overlays.gentoo.org/proj/portage.git"
 EGIT_BRANCH="multilib"
-EGIT_COMMIT="6a8389a3a9f6af80bbb4108d5bb6f4b847b44577"
+EGIT_COMMIT="600cb1fd9daed3b01d8f51b38c29f000376b6513"
 DESCRIPTION="Portage is the package management and distribution system for 
Gentoo"
-HOMEPAGE="http://www.gentoo.org/proj/en/portage/index.xml";
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Portage";
 
 LICENSE="GPL-2"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
@@ -36,7 +36,7 @@ DEPEND="!build? ( ${PYTHON_DEPS//bzip2(+)/ssl(+),bzip2(+)} )
 # quite slow, so it's not considered in the dependencies as an alternative to
 # to python-3.3 / pyxattr. Also, xattr support is only tested with Linux, so
 # for now, don't pull in xattr deps for other kernels.
-# For whirlpool hash, require python[ssl] or python-mhash (bug #425046).
+# For whirlpool hash, require python[ssl] (bug #425046).
 # For compgen, require bash[readline] (bug #445576).
 RDEPEND="
        dev-lang/python-exec:2
@@ -53,7 +53,7 @@ RDEPEND="
        xattr? ( kernel_linux? (
                >=sys-apps/install-xattr-0.3
                $(python_gen_cond_dep 'dev-python/pyxattr[${PYTHON_USEDEP}]' \
-                       python{2_7,3_2} pypy)
+                       python2_7 pypy)
        ) )
        !<app-admin/logrotate-3.8.0
        >=sys-apps/abi-wrapper-1.0-r6"
@@ -222,6 +222,36 @@ pkg_preinst() {
        fi
 }
 
+get_ownership() {
+       case ${USERLAND} in
+               BSD)
+                       stat -f '%Su:%Sg' "${1}"
+                       ;;
+               *)
+                       stat -c '%U:%G' "${1}"
+                       ;;
+       esac
+}
+
+new_config_protect() {
+       # Generate a ._cfg file even if the target file
+       # does not exist, ensuring that the user will
+       # notice the config change.
+       local basename=${1##*/}
+       local dirname=${1%/*}
+       local i=0
+       while true ; do
+               local filename=$(
+                       echo -n "${dirname}/._cfg"
+                       printf "%04d" ${i}
+                       echo -n "_${basename}"
+               )
+               [[ -e ${filename} ]] || break
+               (( i++ ))
+       done
+       echo "${filename}"
+}
+
 pkg_postinst() {
 
        if ${REPOS_CONF_UPGRADE} ; then

Reply via email to